Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_const_entry_struct Struct Reference

`#include <constant.h>`

## Data Fields
rb_const_flag_t | flag
int | line
VALUE | value
VALUE | file

## Detailed Description

Definition at line 31 of file constant.h.

## Field Documentation

## ◆ file

VALUE rb_const_entry_struct::file

Definition at line 35 of file constant.h.

## ◆ flag

rb_const_flag_t rb_const_entry_struct::flag

Definition at line 32 of file constant.h.

## ◆ line

int rb_const_entry_struct::line

Definition at line 33 of file constant.h.

## ◆ value

VALUE rb_const_entry_struct::value

Definition at line 34 of file constant.h.

Referenced by rb_autoload_str().

The documentation for this struct was generated from the following files:

- constant.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h